/*
 * SBFiles: StompBox/Files アプリケーションメインクラス 
 */

// FEATURE D&Dでの項目移動
// FEATURE zip/unzip操作
// FEATURE ソートしながらコピー(ディレクトリ単位?)
// FEATURE Zaurusでの日本語エントリ名表示
// FEATURE リネーム

package org.dbc_works.app.sbfiles;

import org.dbc_works.app.sbfiles.MainFrame;
import org.dbc_works.lib.util.Utilities;

public final class SBFiles
{
	//
	// クラスメソッド(公開)
	//

	// エントリ
	public static void main(
		String[] args)	// 起動引数
	{
		try {
			MainFrame frame = MainFrame.getInstance();
			if (frame.initialize(args, true)) {
				frame.show();
			}
			else {
				System.exit(1);
			}
		}
		catch (Exception e) {
			Utilities.reportException("StompBox/Files", e);
			System.exit(1);
		}
	}
}
