/*
 * NumberSetting:
 * 注記: 不変オブジェクト 
 */

package org.dbc_works.app.sbfiles;

public final class NumberingSetting
{
	//
	// 属性
	//

	// 開始番号
	public final int start;

	// 最短長
	public final int minLength;

	// 先頭設定フラグ
	public final boolean setStart;

	//
	// コンストラクタ
	//
	public NumberingSetting(
		int nStart,		// 開始番号
		int nMinLength,	// 最短長
		boolean bSetStart)	// 先頭設定フラグ
	{
		if (nStart < 0) {
			throw new IllegalArgumentException();
		}
		if (nMinLength < 0) {
			throw new IllegalArgumentException();
		}
		start = nStart;
		minLength = nMinLength;
		setStart = bSetStart;
	}
}
