/*
 * ImplementOperation: メインフレーム必須定義メソッドインターフェース
 */

package org.dbc_works.app.sbfiles.view;

import java.awt.Component;
import java.awt.event.ActionListener;
import java.io.File;
import java.util.Map;

import org.dbc_works.app.sbfiles.MainFrame;
import org.dbc_works.app.sbfiles.NumberingSetting;

public interface ImplementOperation extends org.dbc_works.lib.ui.ImplementOperationBase
{
	String[] getEntryNames(boolean bWithDirectory);
	String[] getEntryNames();
	int getSelectionCount();
	String[] getSelectedEntryNames();

	void setAbstraction(MainFrame abstraction);
	void addToolBarComponents(Component[] compoents);
	void setMoveParentActionListener(ActionListener listener);
	void setUpdateOrderActionListener(ActionListener listener);

	void setRoots(File[] aRootFile);
	void setPathEntries(File filePath, File[] aFile);

	NumberingSetting showNumberingSettingDialog(String strTitle);

	boolean showConfirmMessage(String strMessage);
	void setStatusMessage(String strMessage);
	void setProgressInfo(MainFrame.UpdateArgument param);
	Map getAdditionalState();
	void setAdditionalState(Map properties);

}
