/*
 * UnixInfo : Unix環境情報抽象基本クラス
 */

package org.dbc_works.lib.environment;

public abstract class UnixInfo extends EnvInfo
{
	//
	// コンストラクタ
	//
	protected UnixInfo()
	{
		super();
	}

	//
	// 再定義メソッド(状態)
	//

	// ルートが複数存在するファイルシステムかを返す
	public boolean isMultiRootFileSystem()
	{
		return false;
	}

	// パス文字列の大文字小文字を無視するかを返す
	public final boolean isPathCharCaseInsensitive()
	{
		return false;
	}

	// スクリプトファイルのデフォルトの拡張子を返す
	public final String getDefaultScriptExt()
	{
		return "sh";
	}
}
