/*
 * MultiLineLabel: 複数行ラベル
 * 注記: 作りかけ 
 */
/*
package ui.awt;

import java.awt.Dimension;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Label;
import java.awt.font.FontRenderContext;
import java.awt.font.GlyphVector;
import java.awt.geom.Point2D;

public class MultiLineLabel extends Label
{
	//
	// クラスメソッド
	//

	// 
	private static GlyphVector getWrappedGlyphVector(
  		String str,
		double dbWidth,
		Font font,
		FontRenderContext frc)
	{
		final GlyphVector gv = font.createGlyphVector(frc, str);
		final double dbGlyphHeight = gv.getLogicalBounds().getHeight();

		double x = 0.0d;
		double y = 0.0d;
		for (int nIndex = 0; nIndex < gv.getNumGlyphs(); nIndex++) {
			final double dbAdvance = gv.getGlyphMetrics(nIndex).getAdvance();
			if (dbWidth <= x + dbAdvance) {
				y += dbGlyphHeight;
				x = 0.0d;
			}

			gv.setGlyphPosition(nIndex, new Point2D.Double(x, y));
			x += dbAdvance;
		}
		return gv;
	}

	//
	// コンストラクタ
	//
	public MultiLineLabel()
	{
		super();
	}
	public MultiLineLabel(
		String text)	// 設定文字列
	{
		super(text);
	}
	public MultiLineLabel(
		String text,	// 設定文字列
		int alignment)	// 配置
	{
		super(text, alignment);
	}

	//
	// 再定義メソッド(操作)
	//

	// 描画する
	public void paint(
		Graphics g)	// 描画対象
	{
		Graphics2D g2 = (Graphics2D)g;
		GlyphVector gv = getWrappedGlyphVector(getText(),
											 	getWidth(),
											 	getFont(),
											 	g2.getFontRenderContext());
	    g2.drawGlyphVector(gv, 0, 0);
	}

	// 
	public Dimension getPreferredSize()
	{
		return super.getPreferredSize();
	}
}
*/